#ifndef NETWORK_REMOCON_H
#define NETWORK_REMOCON_H


#include <winsock.h>
#include "ChannelList.h"


class CNetworkRemocon {
	bool m_fInitialized;
	WSADATA m_WSAData;
	DWORD m_Address;
	WORD m_Port;
	HANDLE m_hThread;
	SOCKET m_Socket;
	bool m_fConnected;
	CChannelList m_ChannelList;
	static DWORD WINAPI SendProc(LPVOID pParam);
	bool Send(const char *pBuffer,int Length);
public:
	CNetworkRemocon();
	~CNetworkRemocon();
	bool Init(LPCSTR pszAddress,WORD Port);
	bool SetChannel(int ChannelNo);
	bool LoadChannelText(LPCTSTR pszFileName,const CChannelList *pChannelList);
};


#endif
